Index: extensions/netinstall/trunk/language/tr_TR/iso.txt
===================================================================
--- extensions/netinstall/trunk/language/tr_TR/iso.txt	(revision 7351)
+++ extensions/netinstall/trunk/language/tr_TR/iso.txt	(revision 7351)
@@ -0,0 +1,1 @@
+Türkçe [TR]
Index: extensions/netinstall/trunk/language/tr_TR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 7351)
+++ extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 7351)
@@ -0,0 +1,61 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetKurulum';
+$lang['Welcome to NetInstall!'] = 'NetKuruluma\'a hoşgeldiniz!';
+$lang['Language'] = 'Dil';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Bu araç son Piwigo arşivini kurtaracak ve web alanınıza sıkıştımış halini açacak. ';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Hemen sonrasında, Piwigo yükleme sihirbazını adrese yönlendir.';
+
+$lang['Write access is needed'] = 'Yazım izni gerekli';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'NetKurulum geçerli dizine yazılması gerekiyor , bu gereklilikleri takip ediniz ';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Lütfen dosya izinlerini yazılabilir olarak değiştirin, daha sonra yenile butonuna tıklayarak sayfayı yenileyin.'
+$lang['Refresh'] = 'Yenile';
+
+$lang['PHP 5 is required'] = 'PHP 5 gerekli';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Webhost\'un halen PHP %s \'ile çalışıyor.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetKurulum ayarların değiştirilebilir  .htaccess doyasını oluşturarak yada düzenleyerek NetKurulum için gerekli PHP 5 ayarlarını yapabilirsiniz.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = ' Not: Ayarları değiştirebilirsindaha sonrasında NetKurulumu tekrar başlatmanız gerekli.';
+$lang['Try to configure PHP 5'] = 'PHP 5 \'i yapılandırmayı dene';
+
+$lang['Retrieve and unzip Piwigo'] = 'Piwigo kurtarıldı ve açıldı';
+$lang['Destination:'] = 'Hedef:';
+
+$lang['Sorry!'] = 'Üzgünüm!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetKurulum\'un PHP 5 \'i yapılandırması mümkün değil.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Hosting firmanıza başvurabilirsiniz ve PHP 5 in nasıl aktif edildiği hakkında yardım alabilirsiniz.";
+$lang['Hope to see you back soon.'] = 'Yakın zamanda görüşmek üzere.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Eski Piwigo kurulumu halen bu alanda gözüküyor.';
+$lang['You need to rename or remove it before we can go further...'] = 'Biz yardım etmeden önce yeniden adlandırman yada silmen gerekiyor...';
+$lang['Needed files are not present.'] = 'Gerekli dosyalar mevcut değil.';
+$lang['Invalid zip file.'] = 'Bozuk zip dosyası.';
+$lang['It seems that the zip file was not extracted.'] = 'Bu zip dosyası çıkartılamamış gibi gözüküyor.';
+
+$lang['Congratulations!'] = 'Tebrikler!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Herşey harika. Şimdi yükleme işlemlerine başlayabilirsin.';
+$lang['Install Piwigo now'] = 'Piwigo\'yu hemen yükle';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Gerekli dosyalar alınırken bir sorun oluştu.'; 
+$lang['Something went wrong...'] = 'Birşeyler ters gitti...';
+$lang['What are you doing here that way ?!'] = 'Bu yol ile ne yapmaya çalışıyorsun ?!';
+
+$lang['This loader was initialy coded for Dotclear. Thanks!'] = 'Bu yükleyicinin ilk geliştiricisi Dotclear. Teşekkürler!';