Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 7352)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 7353)
@@ -25,5 +25,5 @@
      var normal_height = '{$normal_height}';
      var user_status = '{$user_status}';
-     var user_status = '{$user_status}';
+
      var check_auto_w = '{$check_auto_w}';
 
@@ -42,14 +42,16 @@
 {known_script id="jquery.ui.slider" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.slider.js"}
 {known_script id="jquery.ui.draggable" src=$ROOT_URL|@cat:"themes/default/js/ui/ui.draggable.js"}
+{literal}
+<script type="text/javascript">
 
-<script type="text/javascript">
-jQuery().ready(function(){ldelim}
-  jQuery('.cluetip').cluetip({ldelim}
+jQuery().ready(function(){ 
+  jQuery('.cluetip').cluetip({ 
     width: 300,
     splitTitle: '|'
   });
 });
+
 </script>
-
+{/literal}
 <!--============== assign visible =======================-->	
 {assign var="affiche_cde" value="true"}
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 7352)
+++ /extensions/Autosize/include/affiche.php	(revision 7353)
@@ -2,12 +2,9 @@
 
 $visible=(isset($visible))?$visible:false;
-
-
-
 $img_width=isset($picture['current']['width'])?$picture['current']['width']:480;
 $img_height=isset($picture['current']['height'])?$picture['current']['height']:320;
 $version=isset($version)?$version:"";
 $theme=$user['theme'];
- $user_status = $user['status'] ;
+$user_status = $user['status'] ;
 
   	$template->assign(
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7352)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7353)
@@ -1,57 +1,31 @@
-/*
-var thumbnail= '{$thumbnail}';
-var theme = '{$theme}';
-var version = '{$version}';
-var scaled_width = '{$SCALED_WIDTH}'; // valeur par defaut
-var scaled_height = '{$SCALED_HEIGHT}'; // valeur par defaut
-var img_width = '{$IMG_WIDTH }'; 
-var img_height = '{ $IMG_HEIGHT }';$picture['current']['height']
-
-var marge_basse = '{ $MARGE_BASSE }';
-var echelle_max = '{ $ECHELLE_MAX }';
-var mini_width = '{ $MINI_WIDTH   }';
-var mini_height = '{ $MINI_HEIGHT   }';
-
-var webmaster_width = '{$webmaster_width   }';
-var webmaster_height = '{ $webmaster_height   }';
-var admin_width = '{ $admin_width   }';
-var admin_height = '{ $admin_height   }';
-var generic_width = '{ $generic_width   }';
-var generic_height = '{ $generic_height   }';
-var guest_width = '{ $guest_width   }';
-var guest_height = '{$guest_height}';
-var normal_width = '{$normal_width}';
-var normal_height = '{$normal_height}';
-var user_status = '{$user_status}';
-var user_status = '{$user_status}';
-var check_auto_w = '{$check_auto_w}';
-var check_desc_v = '{$check_desc_v}';
-*/
-
-
-var img_top = "0";
-var cl_visible = true;
-
-  function Toggle_bp()
+jQuery(document).ready(
+      function (jQuery) {
+        var img_top = "0";
+        var cl_visible = true;
+        var old_h = 0;
+        var rapport = -1;
+        var old_w = 0;
+
+ function Toggle_bp()
  { 
- cl_visible = !cl_visible ;
-   if (cl_visible) src=src1 ;
-  else src=src2 ;
-     if (cl_visible)  src_info=src3 ;
-  else src_info=src4 ;
+     cl_visible = !cl_visible ;
+       if (cl_visible) src=src1 ;
+      else src=src2 ;
+         if (cl_visible)  src_info=src3 ;
+      else src_info=src4 ;
   
-        jQuery('#bp_cla').attr('alt',src_info);
-        jQuery('#bp_cla').attr('title', src_info);
-
-        jQuery('#bp_img_cla').get(0).src=src ;
-        jQuery('#bp_img_cla').attr('alt',src_info);
-        jQuery('#bp_img_cla').attr('title',src_info);
-        jQuery('#bp_cla').attr('Stitle', src_info);
-        jQuery('#bp_cla').attr('Stip'," ");
-        old_w = 0;
-        jQuery(window).resize();
+            jQuery('#bp_cla').attr('alt',src_info);
+            jQuery('#bp_cla').attr('title', src_info);
+
+            jQuery('#bp_img_cla').get(0).src=src ;
+            jQuery('#bp_img_cla').attr('alt',src_info);
+            jQuery('#bp_img_cla').attr('title',src_info);
+            jQuery('#bp_cla').attr('Stitle', src_info);
+            jQuery('#bp_cla').attr('Stip'," ");
+            old_w = 0;
+            jQuery(window).resize();
     }
     //=========================================================
-    var old_w = 0;
+
      function wait_Timer() {
          old_w = 0
@@ -214,5 +188,5 @@
         * return: valeur entiere
         */
-        function Get_Val_int(myObj, Maxi_val, Obj) {
+        function Get_Val_int(myObj, Maxi_val, Mini_val) {
             var val = 0;
             var reg1 = new RegExp("%", "g")
@@ -231,4 +205,8 @@
             }
             if (typeof (myObj) == "string") {
+                if (myObj == "none") return Maxi_val;
+                if (myObj == "auto") return Maxi_val;
+                if (Mini_val)
+                    if (myObj < Mini_val) return Maxi_val;
                 switch (myObj) {
                     case 'thin':
@@ -254,6 +232,5 @@
 
 
-                if (myObj == "none") return Maxi_val;
-                if (myObj == "auto") return Maxi_val;
+
 
                 if (myObj.match(reg1)) val = myObj * Maxi_val / 100;
@@ -287,6 +264,9 @@
 
 
-        jQuery(document).ready(
-       function (jQuery) {
+
+     
+
+
+   
            /* jQuery */
            var img_init = { height: img_height, width: img_width };  // taille initiale
@@ -313,6 +293,5 @@
            //===================================================================	
 
-           var old_h = 0;
-           var rapport = -1;
+
 
 
@@ -569,6 +548,6 @@
 
 
-               maxWidth = Get_Val_int(jQuery(TheImg).css("max-width"), winwidth);
-               maxHeight = Get_Val_int(jQuery(TheImg).css("max-height"), winheight);
+              var maxWidth = Get_Val_int(jQuery(TheImg).css("max-width"), winwidth,"0");
+               maxHeight = Get_Val_int(jQuery(TheImg).css("max-height"), winheight,"0");
 
                mini_width = parseInt(miniWidth);
Index: /extensions/Autosize/js/jquery.dimensions.js
===================================================================
--- /extensions/Autosize/js/jquery.dimensions.js	(revision 7353)
+++ /extensions/Autosize/js/jquery.dimensions.js	(revision 7353)
@@ -0,0 +1,200 @@
+/* Copyright (c) 2007 Paul Bakaus (paul.bakaus@googlemail.com) and Brandon Aaron (brandon.aaron@gmail.com || http://brandonaaron.net)
+ * Dual licensed under the MIT (http://www.opensource.org/licenses/mit-license.php)
+ * and GPL (http://www.opensource.org/licenses/gpl-license.php) licenses.
+ *
+ * $LastChangedDate: 2007-12-20 08:43:48 -0600 (Thu, 20 Dec 2007) $
+ * $Rev: 4257 $
+ *
+ * $LastChangedDate: 2010-10-23 08:43:48 -0600 (Thu, 20 Dec 2007) $
+ * By cljosse
+ * Version: 1.2
+ *
+ * Requires: jQuery 1.2+
+ * 
+ */
+(function (jQuery) {
+    jQuery.dimensions = { version: '1.3' };
+    /*
+    * Interception Height, Width
+    */
+    jQuery.each(['Height', 'Width'],
+            function (i, name) {
+                jQuery.fn['inner' + name] = function () {
+                    if (!this[0]) return;
+                    var torl = name == 'Height' ? 'Top' : 'Left',
+                        borr = name == 'Height' ? 'Bottom' : 'Right';
+                    return this.is(':visible') ? this[0]['client' + name] : num(this, name.toLowerCase()) + num(this, 'padding' + torl) + num(this, 'padding' + borr);
+                };
+
+                jQuery.fn['outer' + name] = function (options) {
+                    if (!this[0]) return;
+                    var torl = name == 'Height' ? 'Top' : 'Left',
+                        borr = name == 'Height' ? 'Bottom' : 'Right';
+                    options = jQuery.extend({ margin: false },
+                                                options || {});
+                    var val = this.is(':visible') ? this[0]['offset' + name] :
+                        num(this,
+                        name.toLowerCase()) +
+                        num(this, 'border' + torl + 'Width') +
+                        num(this, 'border' + borr + 'Width') +
+                        num(this, 'padding' + torl) +
+                        num(this, 'padding' + borr);
+                    return val + (options.margin ? (num(this, 'margin' + torl) + num(this, 'margin' + borr)) : 0);
+                };
+            });
+    /*
+    *
+    */
+    jQuery.each(['Left', 'Top'],
+      function (i, name) {
+          jQuery.fn['scroll' + name] = function (val) {
+              if (!this[0]) return;
+              return val != undefined ? this.each(function () {
+                  this == window || this == document ? window.scrollTo(name == 'Left' ? val : $(window)['scrollLeft'](),
+           name == 'Top' ? val : $(window)['scrollTop']()) : this['scroll' + name] = val;
+              }) : this[0] == window || this[0] == document ? self[(name == 'Left' ? 'pageXOffset' : 'pageYOffset')] || jQuery.boxModel && document.documentElement['scroll' + name] || document.body['scroll' + name] : this[0]['scroll' + name];
+          };
+
+      });
+    jQuery.fn.extend({
+
+        info: function () {
+            var width = 0, height = 0;
+            var elem = jQuery(this).get(0);
+
+
+            var left = 0, top = 0, offset, parentOffset, offsetParent, results;
+            var borderwidth = { width: "0 0 0 0",
+                top: 0,
+                left: 0,
+                right: 0,
+                bottom: 0
+            }
+            var padding = { padding: "0 0 0 0",
+                top: 0,
+                left: 0,
+                right: 0,
+                bottom: 0
+            };
+            var margin = { margin: "0 0 0 0",
+                top: 0,
+                left: 0,
+                right: 0,
+                bottom: 0
+            };
+            //=====================================================================
+            results = {
+                position: jQuery(elem).css("position"),
+                top: 0,
+                left: 0,
+                width: 0,
+                height: 0,
+                right: 0,
+                bottom: 0,
+                borderwidth: borderwidth,
+                padding: padding,
+                margin: margin
+            };
+            ;
+            if (elem) {
+                Position = jQuery(elem).position();
+                left = Position.left;
+                top = Position.top;
+                width = jQuery(elem).outerWidth();
+                height = jQuery(elem).outerHeight();
+
+
+                borderwidth.left = jQuery(elem).css("borderLeftWidth");
+                borderwidth.right = jQuery(elem).css("borderRightWidth");
+                borderwidth.top = jQuery(elem).css("borderTopWidth");
+                borderwidth.bottom = jQuery(elem).css("borderBottomWidth");
+                try {
+                    borderwidth.width = jQuery(elem).css("borderWidth");
+                } catch (e) {
+                    borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
+                }
+
+
+                margin.left = jQuery(elem).css("marginLeft");
+                margin.right = jQuery(elem).css("marginRight");
+                margin.top = jQuery(elem).css("marginTop");
+                margin.bottom = jQuery(elem).css("marginBottom");
+                try {
+                    margin.margin = jQuery(elem).css("margin");
+                } catch (e) {
+                    margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
+                }
+
+                padding.left = jQuery(elem).css("paddingLeft");
+                padding.right = jQuery(elem).css("paddingRight");
+                padding.top = jQuery(elem).css("paddingTop");
+                padding.bottom = jQuery(elem).css("paddingBottom");
+                try { padding.padding = jQuery(elem).css("padding"); } catch (e) {
+                    padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
+                }
+
+                results = {
+                    position: jQuery(elem).css("position"),
+                    top: top,
+                    left: left,
+                    width: width,
+                    height: height,
+                    right: left + width,
+                    bottom: top + height,
+                    borderwidth: borderwidth,
+                    margin: margin,
+                    padding: padding
+                };
+
+                return results
+            } return results;
+        },
+        /*
+        * Position de l'object elem
+        */
+        position: function () {
+            var left = 0, top = 0, elem = this[0], offset, parentOffset, offsetParent, results;
+            if (elem) {
+                offsetParent = this.offsetParent();
+                offset = this.offset();
+                if (offsetParent) {
+                    if (typeof (offsetParent.offset) != "undefined")
+                        parentOffset = offsetParent.offset();
+                    else
+                        parentOffset = { top: 0, left: 0 };
+
+                    offset.top -= num(elem, 'marginTop');
+                    offset.left -= num(elem, 'marginLeft');
+
+                    if (offsetParent.length > 0) {
+                        parentOffset.top += num(offsetParent, 'borderTopWidth');
+                        parentOffset.left += num(offsetParent, 'borderLeftWidth');
+                    } else {
+                        parentOffset = { top: 0, left: 0 };
+
+                    }
+                } else {
+                    parentOffset = { top: 0, left: 0 };
+                }
+                results = {
+                    top: offset.top - parentOffset.top, left: offset.left - parentOffset.left
+                };
+            } return results;
+        },
+        /*
+        * offsetParent
+        */
+        offsetParent: function () {
+            var offsetParent = this[0].offsetParent;
+            while (offsetParent && (!/^body|html$/i.test(offsetParent.tagName) && jQuery.css(offsetParent, 'position') == 'static'))
+                offsetParent = offsetParent.offsetParent;
+            return jQuery(offsetParent);
+        }
+    });
+    /*
+    *
+    */
+    function num(el, prop) {
+        return parseInt(jQuery.curCSS(el.jquery ? el[0] : el, prop, true)) || 0;
+    };
+})(jQuery);
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 7352)
+++ /extensions/Autosize/template/autosize.tpl	(revision 7353)
@@ -4,5 +4,5 @@
   {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
   {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-   {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.min.js"}
+   {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"}
 {*jQuery is always available by default*} 
  <script type="text/javascript">
@@ -11,4 +11,5 @@
     var visible = '{$visible}';
     var version = '{$version}';
+
     var scaled_width =  '{$SCALED_WIDTH}'; // valeur par defaut
     var scaled_height = '{$SCALED_HEIGHT}'; // valeur par defaut
@@ -32,5 +33,5 @@
     var normal_height='{$normal_height}';
     var user_status='{$user_status}';
-    var user_status = '{$user_status}';
+   
     var check_auto_w = '{$check_auto_w}';
     var check_desc_v = '{$check_desc_v}';