Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7354)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7355)
@@ -121,5 +121,4 @@
               */
 
-
               if (info_theImage.position == "absolute") {
                   var Bandeau = info_theImage.top -
@@ -206,9 +205,20 @@
                   info_description.bottom = info_description.top = 1;
 
-              info_description.top += Bandeau_t.marge_top;
+              var llgboframe = jQuery("#gbo div:first");
+              var marges_llgbo = 0;
+              if (llgboframe.length > 0) {
+
+                  marges_llgbo = jQuery(llgboframe).outerWidth() - jQuery("#gbo div:last").outerWidth();
+              }
+              if (theme.match(RegExp("gally", "g"))) {
+                  marges_llgbo = 0;
+              }
+
+              info_description.top += Bandeau_t.marge_top - marges_llgbo;
               // info_description.bottom 739 ;
               //  info_description.height 277 ;
               //      info_description.top 465 
-              info_description.height = (info_description.bottom + Info_the_page.top) - info_description.top;
+              info_description.height = marges_llgbo + (info_description.bottom + Info_the_page.top) - info_description.top;
+             
               if (check_desc_v != 'checked="checked"') {
                   info_description.height = 0;
@@ -320,10 +330,4 @@
           var Bandeau_bas = Info_description("theImage");
 
-          var init_taille_thumblink = { height: 0, width: 0 };
-          if (init_taille_thumblink.height == 0)
-              init_taille_thumblink = {
-                  height: jQuery(".thumbLink").height(),
-                  width: jQuery(".thumbLink").width()
-              };
           //===================================================================	
 
@@ -579,5 +583,5 @@
 
               //=============== Vérification taille minimale  autorizée ======================
-              miniWidth = Get_Val_int(jQuery(TheImg).css("min-width"), mini_width);
+              var miniWidth = Get_Val_int(jQuery(TheImg).css("min-width"), mini_width);
               miniHeight = Get_Val_int(jQuery(TheImg).css("min-height"), mini_height);
 
@@ -621,17 +625,8 @@
               zone_affichage.height = winheight - marge_top;
 
-
-
-              //===========================================================================  
-              var sel0 = { top: 0 };
-
-
-
-
-
               //==================================================================================
               jQuery("#theImage #theImg IMG").css("marginTop", "0px")
 
-              var h = 15;
+              var h = 0;
               if (theme.match(RegExp("sobre", "g"))) {
                   h += 0; //??
@@ -678,6 +673,4 @@
               //=============================================================
               var height_user = eval(user_status + "_height");
-
-
               var reg1 = new RegExp("%", "g");
               if (height_user.match(reg1))
@@ -685,6 +678,5 @@
               else
                   Image_height = parseInt(height_user);
-
-              //============================================================
+             
               echelle_max = parseFloat(echelle_max, '3');
               var echelle = parseFloat(Image_height / img_reelle.height, 3);
@@ -692,17 +684,12 @@
               if (echelle > echelle_max) { echelle = echelle_max; }
               Image_height = parseInt(img_reelle.height * echelle);
+              //============================================================
 
               var Image_width;
               if (rapport > 0)
                   Image_width = parseInt(Image_height * rapport);
-
               else if (Type_Img == "map") {
                   Image_width = zone_affichage.width - marge_left - marge_right;
-
-                  if (theme.match(RegExp("gally", "g"))) {
-                      //  Image_height -= "30";
-                  }
-
-              } else {
+                 } else {
                   Image_width = zone_affichage.width;
               }
@@ -721,5 +708,5 @@
                   if (width_user.match(reg1))
                   // pourcentage
-                      widthmin = maxWidth * parseInt(width_user) / 100;
+                      widthmin = widthmin * parseInt(width_user) / 100;
                   else
                       widthmin = parseInt(width_user);
@@ -727,11 +714,8 @@
                   widthmin -= Get_Val_int(info_img.borderwidth.left);
                   widthmin -= Get_Val_int(info_img.borderwidth.right);
-
-
-
                   if (Image_width > widthmin) {
                       //   Image_width largeur à atteindre 
                       //  Calcul du rapport d'agrandissement 
-                      var echelle_w = parseFloat((widthmin  ) / img_reelle.width, 3);
+                      var echelle_w = parseFloat((widthmin) / img_reelle.width, 3);
                       if (echelle_w > echelle_max) { echelle_w = echelle_max; }
                       Image_width = parseInt(img_reelle.width * echelle_w);
@@ -819,5 +803,4 @@
 
               //=========================================================
-              //     jQuery(Cadre).css("position", "relative");
 
               jQuery(Cadre).css("top", "0px");
@@ -825,10 +808,4 @@
               jQuery("#comments").css("top", 0 + "px");
 
-
-              //jQuery("#copyright").css("top", 0 + "px");
-
-
-              jQuery("#linkNext").height(Image_height);
-              jQuery("#linkPrev").height(Image_height);
               //================ Zone affichage =========================
               //  Image_height, Image_width = valeur a atteindre.
@@ -942,11 +919,4 @@
                   if (theme.match(RegExp("gally", "g"))) {
 
-                      jQuery("#navThumbNext").height(init_taille_thumblink.height * 2);
-                      jQuery("#navThumbPrev").height(init_taille_thumblink.height * 2);
-
-                      jQuery(".thumbLink").css("height", init_taille_thumblink.height + "px");
-                      jQuery(".thumbLink").css("width", init_taille_thumblink.width + "px");
-
-                      jQuery(Cadre).height(zone_affichage.height);
 
                   } else {
@@ -973,5 +943,5 @@
 
       } // function
-);                                                                                                                                                                                                                                                                                                         // ready
+);                                                                                                                                                                                                                                                                                                            // ready
     /*
 *
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7354)
+++ /extensions/Autosize/main.inc.php	(revision 7355)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.2.4
+Version: 1.2.5
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448