Index: /extensions/Random_Header/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/de_DE/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/de_DE/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme']                 = 'Thema';
 $lang['rh_inactif']             = 'Für dieses Thema nicht verfügbar';
-$lang['rh_aide']                 = 'Notiz :<br />DIE BILDER SIND FUER ALLE ERSICHTLICH (Egal ob Privatkategorie oder nicht)<br />Der CSS-Style für das Bild (#RandomImage) wird beim Hintergrundbild nicht benützt<br>Die CSS-Felder müssen den CSS-Normen entsprechen (ex: "overflow:auto;color:red;")<br />Im Hintergrundbildmodus ist das <a href="admin.php?page=configuration">zusammenfügen der Bannerseiten</a> inaktiv';
+$lang['rh_aide']                 = 'Notiz :<br >DIE BILDER SIND FUER ALLE ERSICHTLICH (Egal ob Privatkategorie oder nicht)<br >Der CSS-Style für das Bild (#RandomImage) wird beim Hintergrundbild nicht benützt<br>Die CSS-Felder müssen den CSS-Normen entsprechen (ex: "overflow:auto;color:red;")<br >Im Hintergrundbildmodus ist das <a href="admin.php?page=configuration">zusammenfügen der Bannerseiten</a> inaktiv';
 $lang['rh_additional_css']         = 'Zusätlicher CSS-Style';
 $lang['rh_inactif_on_bg']        = 'Inaktiv als Hintergrundbild';
Index: /extensions/Random_Header/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme'] 				= 'Theme';
 $lang['rh_inactif'] 			= 'Disable for this theme';
-$lang['rh_aide'] 				= 'Info :<br />IMAGES ARE VIEWABLE BY EVERYONE (private category or not)<br />CSS style for the image(#RandomImage) isn\'t applied in background mode<br>CSS text field need to respect CSS rules (ex: "overflow:auto;color:red;")<br />In background mode, concatenate the <a href="admin.php?page=configuration">page banner</a> is disable';
+$lang['rh_aide'] 				= 'Info :<br >IMAGES ARE VIEWABLE BY EVERYONE (private category or not)<br >CSS style for the image(#RandomImage) isn\'t applied in background mode<br>CSS text field need to respect CSS rules (ex: "overflow:auto;color:red;")<br >In background mode, concatenate the <a href="admin.php?page=configuration">page banner</a> is disable';
 $lang['rh_additional_css'] 		= 'Additional CSS Style';
 $lang['rh_inactif_on_bg']		= 'disable on background mode';
Index: /extensions/Random_Header/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme'] 				= 'Tema';
 $lang['rh_inactif'] 			= 'Desactivado para este tema';
-$lang['rh_aide'] 				= 'Nota:<br />LAS IMÁGENES SON VISIBLES PARA ELLOS TODOS (Categoría privada o no)<br />El estilo CSS para la imagen (#RandomImage) No es aplicado en moda llena de imágenes de fondo<br>El campo CSS debe respetar la norma CSS (ex: "overflow:auto;color:red;")<br />En moda llena de imágenes de fondo, concatenar <a href="admin.php?page=configuration">bandera de las páginas</a> es inactivo';
+$lang['rh_aide'] 				= 'Nota:<br >LAS IMÁGENES SON VISIBLES PARA ELLOS TODOS (Categoría privada o no)<br >El estilo CSS para la imagen (#RandomImage) No es aplicado en moda llena de imágenes de fondo<br>El campo CSS debe respetar la norma CSS (ex: "overflow:auto;color:red;")<br >En moda llena de imágenes de fondo, concatenar <a href="admin.php?page=configuration">bandera de las páginas</a> es inactivo';
 $lang['rh_additional_css'] 		= 'Estilo CSS adicional';
 $lang['rh_inactif_on_bg']		= 'inactivo para la imagen de fondo';
Index: /extensions/Random_Header/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme'] 				= 'Thème';
 $lang['rh_inactif'] 			= 'Désactivé pour ce thème';
-$lang['rh_aide'] 				= 'Note :<br />LES IMAGES SONT VISIBLES POUR TOUS (catégorie privée ou pas)<br />Le style CSS pour l\'image (#RandomImage) n\'est pas appliqué en mode image de fond<br>Les champs CSS doivent respecter les normes CSS (ex: "overflow:auto;color:red;")<br />En mode image de fond, concatener la <a href="admin.php?page=configuration">bannière des pages</a> est inactif';
+$lang['rh_aide'] 				= 'Note :<br >LES IMAGES SONT VISIBLES POUR TOUS (catégorie privée ou pas)<br >Le style CSS pour l\'image (#RandomImage) n\'est pas appliqué en mode image de fond<br>Les champs CSS doivent respecter les normes CSS (ex: "overflow:auto;color:red;")<br >En mode image de fond, concatener la <a href="admin.php?page=configuration">bannière des pages</a> est inactif';
 $lang['rh_additional_css'] 		= 'Style CSS additionnel';
 $lang['rh_inactif_on_bg']		= 'inactif en image de fond';
Index: /extensions/Random_Header/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/hu_HU/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/hu_HU/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme'] 				= 'Téma';
 $lang['rh_inactif'] 			= 'Tiltva a témánál';
-$lang['rh_aide'] 				= 'Info :<br />A KÉP MINDENKI ÁLTAL LÁTHATÓ (nem privát kategória)<br />CSS stílus a képre (#RandomImage) háttér üzemmódban nem használható<br>CSS szövegmezőnél a CSS-re tekintettel kell lenni (pl.: "overflow:auto;color:red;")<br />Háttér mód esetén figyelni kell az <a href="admin.php?page=configuration">oldal fejléc</a> tiltására';
+$lang['rh_aide'] 				= 'Info :<br >A KÉP MINDENKI ÁLTAL LÁTHATÓ (nem privát kategória)<br >CSS stílus a képre (#RandomImage) háttér üzemmódban nem használható<br>CSS szövegmezőnél a CSS-re tekintettel kell lenni (pl.: "overflow:auto;color:red;")<br >Háttér mód esetén figyelni kell az <a href="admin.php?page=configuration">oldal fejléc</a> tiltására';
 $lang['rh_additional_css'] 		= 'További Stílus CSS';
 $lang['rh_inactif_on_bg']		= 'háttér üzemmódot kikapcsolni';
Index: /extensions/Random_Header/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/it_IT/plugin.lang.php	(revision 7356)
+++ /extensions/Random_Header/language/it_IT/plugin.lang.php	(revision 7357)
@@ -32,5 +32,5 @@
 $lang['rh_theme']				= 'Tema';
 $lang['rh_inactif']				= 'Disattivato per questo tema';
-$lang['rh_aide']				= 'Nota:<br/>LE IMMAGINI SONO VISIBILI PER TUTTI (categoria privata o non)<br/> Lo stile CSS per l\'immagine (#RandomImage) non viene applicato in modo immagine di sfondo <br> I campi CSS devono rispettare le norme CSS (es: "overflow: auto;color: red;")<br/>In modo immagine di sfondo, l\'opzione concatenare l\' <a href=admin.php?page="configuration">banner di pagina</a> non è attivo';
+$lang['rh_aide']				= 'Nota:<br>LE IMMAGINI SONO VISIBILI PER TUTTI (categoria privata o non)<br> Lo stile CSS per l\'immagine (#RandomImage) non viene applicato in modo immagine di sfondo <br> I campi CSS devono rispettare le norme CSS (es: "overflow: auto;color: red;")<br>In modo immagine di sfondo, l\'opzione concatenare l\' <a href=admin.php?page="configuration">banner di pagina</a> non è attivo';
 $lang['rh_additional_css']		= 'Stile CSS addizionale';
 $lang['rh_inactif_on_bg']		= 'inattiva come immagine di sfondo';