Index: /extensions/Autosize/language/de_DE/description.txt
===================================================================
--- /extensions/Autosize/language/de_DE/description.txt	(revision 7361)
+++ /extensions/Autosize/language/de_DE/description.txt	(revision 7361)
@@ -0,0 +1,1 @@
+Ermöglicht die automatische Größenanpassung der Anzeige in Bezug auf das Explorer Fenster.
Index: /extensions/Autosize/language/de_DE/index.php
===================================================================
--- /extensions/Autosize/language/de_DE/index.php	(revision 7361)
+++ /extensions/Autosize/language/de_DE/index.php	(revision 7361)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Autosize/language/de_DE/lang.php
===================================================================
--- /extensions/Autosize/language/de_DE/lang.php	(revision 7361)
+++ /extensions/Autosize/language/de_DE/lang.php	(revision 7361)
@@ -0,0 +1,32 @@
+<?php
+global $lang;
+$lang['cl_autosize_desc_view'] = "Fügt die Beschreibung und die Lizenz in die Berechnung hinzu";
+$lang['cl_autosize_icon_view'] = "Zeigt einen Icon in der Toolbar an";
+$lang['cl_autosize_info_2'] = "Keine Größenänderung der Anzeige.";
+$lang['cl_autosize_info'] = 'Ermöglicht die automatische Größenanpassung der Anzeige in Bezug auf das Explorer Fenster.';
+$lang['cl_autosize_Howto'] = 'Display Management';
+
+$lang['cl_autosize_config_title_1'] = 'Maximale Werte-Management';
+
+$lang['cl_autosize_hlp_line1'] = 'Maximale Größe der Anzeige in Bezug auf den Benutzerstatus.<br>Die Werte sind in Prozent (%) oder in Pixel (px) definiert.';
+
+$lang['cl_autosize_height'] = 'Höhe';
+$lang['cl_autosize_width'] = 'Breite';
+
+$lang['cl_autosize_config_title_2'] = 'Minimale Werte';
+$lang['cl_autosize_hlp_line2'] = 'Minimale Größe des Bildes um die automatische Größenanpassung zu aktivieren.';
+$lang['cl_autosize_miniheight'] = 'Minimale höhe';
+$lang['cl_autosize_miniwidth'] = 'Minimale Breite';
+
+$lang['cl_autosize_hlp_line3'] = 'Die automatische Größenanpassung wird deaktiviert falls die Größe des angezeigten Bildes ist weniger als dieser Wert.';
+
+$lang['cl_autosize_echelle_max'] = 'Maximale Skala.'; 
+$lang['cl_autosize_hlp_line4'] = 'Die automatische Größenanpassung wird auf diesen Wert angepasst, falls das Vergrösserungsverhältnis (reale Bildgröße / angezeigte Bildgröße) höher ist.'; 
+
+$lang['cl_autosize_marge_basse'] = 'Unterer Rand.';
+$lang['cl_autosize_hlp_line5'] = 'Der unten gespeicherte Platz um die Legende anzuzeigen';
+
+$lang['cl_autosize_save'] = 'Speichern';
+
+$lang['cl_autosize_save_config'] = 'Speicherkonfiguration.';
+?>
Index: /extensions/Autosize/language/it_IT/index.php
===================================================================
--- /extensions/Autosize/language/it_IT/index.php	(revision 7360)
+++ /extensions/Autosize/language/it_IT/index.php	(revision 7361)
@@ -6,5 +6,5 @@
 // +-----------------------------------------------------------------------+
 // | file          : $Id: index.php 6934 2010-09-15 20:24:46Z ddtddt $
-// | last update   : $Date: 2010-09-15 22:24:46 +0200 (mer. 15 sept. 2010) $
+// | last update   : $Date: 2010-09-15 22:24:46 +0200 (Wed, 15 Sep 2010) $
 // | last modifier : $Author: ddtddt $
 // | revision      : $Revision: 6934 $
Index: /extensions/Autosize/language/it_IT/lang.php
===================================================================
--- /extensions/Autosize/language/it_IT/lang.php	(revision 7361)
+++ /extensions/Autosize/language/it_IT/lang.php	(revision 7361)
@@ -0,0 +1,32 @@
+<?php
+global $lang;
+$lang['cl_autosize_desc_view'] = "Include la descrizione e la licenza nel calcolo";
+$lang['cl_autosize_icon_view'] = "Mostrare un\’icona nella barra degli strumenti";
+$lang['cl_autosize_info_2'] = "Nessun ridimensionamento della visualizzazione.";
+$lang['cl_autosize_info'] = 'Consente il ridimensionamento automatico della visualizzazione rispetto alla finestra dell\'explorer.';
+$lang['cl_autosize_Howto'] = 'Gestione della visualizzazione';
+
+$lang['cl_autosize_config_title_1'] = 'Gestione dei massimi valori.';
+
+$lang['cl_autosize_hlp_line1'] = 'Massima grandezza della visualizzazione rispetto allo stato dell\'utente.<br>I valori sono definiti in percentuale (%) oppure in pixel (px).';
+
+$lang['cl_autosize_height'] = 'Altezza';
+$lang['cl_autosize_width'] = 'Larghezza';
+
+$lang['cl_autosize_config_title_2'] = 'Valori minimi';
+$lang['cl_autosize_hlp_line2'] = 'Grandezza minima dell\'immagine per attivare il ridimensionamento automatico.';
+$lang['cl_autosize_miniheight'] = 'Massima altezza';
+$lang['cl_autosize_miniwidth'] = 'Massima larghezza';
+
+$lang['cl_autosize_hlp_line3'] = 'Il ridimensionamento automatico verrà disattivato se la grandezza dell\'immagine mostrata è minore del seguente valore.';
+
+$lang['cl_autosize_echelle_max'] = 'Scala massima.'; 
+$lang['cl_autosize_hlp_line4'] = 'Il ridimensionamento automatico sarà ritagliato su questo valore, se il rapporto di ingrandimento (dimensione reale dell\'immagine / dimensione dell\'immagine visualizzata) è al di sopra.'; 
+
+$lang['cl_autosize_marge_basse'] = 'Margine inferiore.';
+$lang['cl_autosize_hlp_line5'] = 'Spazio salvato sul fondo per visualizzare la legenda';
+
+$lang['cl_autosize_save'] = 'Salvare';
+
+$lang['cl_autosize_save_config'] = 'Memorizzare la configurazione.';
+?>