Index: /extensions/gally/gally-graphite/css/ASEgally-graphite.css
===================================================================
--- /extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 7376)
+++ /extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 7377)
@@ -14,10 +14,11 @@
 .gcBorder    { border: 1px solid #606060; }            /* used for borders */
 .gcBorder2   { border: 1px solid #606060; }            /* used for widgets borders */
-.gcBorderInput { border: 1px solid #606060; }           /* used for inputs */
+.gcBorderInput { border: #606060; }           /* used for inputs */
 .cPnDisabled { cursor:default; color:#666666; }
 .pnInactive:hover { background:#606060; color:#F0F0F0; }
 .pnActive { background:#333333; color:#F0F0F0; font-weight:bold; }
 
-.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list,
+.ui-tag-selector-list, .ui-tag-selector-input {
   background-color:#F0F0F0;
   color:#333333;
@@ -32,5 +33,5 @@
 .ui-category-selector-arrow { color:#333333; }
 .ui-category-selector, .ui-category-selector-list { font-family:monospace; }
-li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover { background-color:#606060; color:#f0f0f0; }
 .ui-category-selector-selected-item { background-color:#333333; color:#f0f0f0; }
 
@@ -43,4 +44,24 @@
 li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
 
+.ui-tag-selector-list, .ui-tag-selector-input { font-family:monospace; }
+.ui-tag-selector-text {
+  font-style:italic;
+  font-size:80%;
+  border-top:1px dotted #606060;
+  background:#F0F0F0;
+  color:#333333;
+}
+.ui-tag-selector-selected-tag-list li.ui-tag-selector-selected-tag {
+  background:#606060;
+  color:#F0F0F0;
+  margin-top:0px;
+  padding-bottom:1px;
+  padding-top:1px;
+}
+.ui-tag-selector-highlight {
+  color:#000000;
+  font-weight:bold;
+  background:#999999;
+}
 
 .ui-dialog-titlebar {
@@ -49,4 +70,14 @@
   border:none;
 }
+
+.iconEdit { background:url(./../icon/edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(./../icon/delete.png) no-repeat 0 0 transparent; }
+.iconMove { background:url(./../icon/asearchengine/move.png) no-repeat 0 0 transparent; }
+.iconMove:hover { background:url(./../icon/asearchengine/move_h.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition  { background:url(./../icon/asearchengine/switch.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition:hover { background:url(./../icon/asearchengine/switch_h.png) no-repeat 0 0 transparent; }
+.cbItemMultiple { border:1px solid gray; }
+.cbItemOverGroup { border:1px dotted gray; }
+.itemContent { border-left:22px solid #606060; min-height:34px; padding-left:3px; }
 
 fieldset { margin:3px 18px; }
Index: /extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css
===================================================================
--- /extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css	(revision 7376)
+++ /extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css	(revision 7377)
@@ -14,10 +14,11 @@
 .gcBorder    { border: 1px solid #303030; }            /* used for borders */
 .gcBorder2   { border: 1px solid #303030; }            /* used for widgets borders */
-.gcBorderInput { border: 1px solid #303030; }           /* used for inputs */
+.gcBorderInput { border: #303030; }           /* used for inputs */
 .cPnDisabled { cursor:default; color:#666666; }
 .pnInactive:hover { background:#606060; color:#F0F0F0; }
 .pnActive { background:#303030; color:#F0F0F0; font-weight:bold; }
 
-.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list,
+.ui-tag-selector-list, .ui-tag-selector-input {
   background-color:#F0F0F0;
   color:#303030;
@@ -32,5 +33,5 @@
 .ui-category-selector-arrow { color:#303030; }
 .ui-category-selector, .ui-category-selector-list { font-family:monospace; }
-li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover { background-color:#606060; color:#f0f0f0; }
 .ui-category-selector-selected-item { background-color:#303030; color:#f0f0f0; }
 
@@ -43,4 +44,24 @@
 li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
 
+.ui-tag-selector-list, .ui-tag-selector-input { font-family:monospace; }
+.ui-tag-selector-text {
+  font-style:italic;
+  font-size:80%;
+  border-top:1px dotted #303030;
+  background:#F0F0F0;
+  color:#303030;
+}
+.ui-tag-selector-selected-tag-list li.ui-tag-selector-selected-tag {
+  background:#303030;
+  color:#F0F0F0;
+  margin-top:0px;
+  padding-bottom:1px;
+  padding-top:1px;
+}
+.ui-tag-selector-highlight {
+  color:#303030;
+  font-weight:bold;
+  background:#52FF97;
+}
 
 .ui-dialog-titlebar {
@@ -49,4 +70,15 @@
   border:none;
 }
+
+.iconEdit { background:url(./../icon/edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(./../icon/delete.png) no-repeat 0 0 transparent; }
+.iconMove { background:url(./../icon/asearchengine/move.png) no-repeat 0 0 transparent; }
+.iconMove:hover { background:url(./../icon/asearchengine/move_h.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition  { background:url(./../icon/asearchengine/switch.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition:hover { background:url(./../icon/asearchengine/switch_h.png) no-repeat 0 0 transparent; }
+.cbItemMultiple { border:1px solid #606060; }
+.cbItemOverGroup { border:1px dotted #606060; }
+.itemContent { border-left:22px solid #303030; min-height:34px; padding:3px; }
+.cbItem { padding:0px; }
 
 fieldset { margin:3px 18px; }
Index: /extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css
===================================================================
--- /extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css	(revision 7376)
+++ /extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css	(revision 7377)
@@ -14,10 +14,11 @@
 .gcBorder    { border: 1px solid #FFFFFF; }            /* used for borders */
 .gcBorder2   { border: 1px solid #FFFFFF; }            /* used for widgets borders */
-.gcBorderInput { border: 1px solid #303030; }           /* used for inputs */
+.gcBorderInput { border: #303030; }           /* used for inputs */
 .cPnDisabled { cursor:default; color:#666666; }
 .pnInactive:hover { background:#606060; color:#F0F0F0; }
 .pnActive { background:#303030; color:#F0F0F0; font-weight:bold; }
 
-.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list,
+.ui-tag-selector-list, .ui-tag-selector-input {
   background-color:#F0F0F0;
   color:#333333;
@@ -29,5 +30,5 @@
 .ui-category-selector-arrow { color:#0088EE; }
 .ui-category-selector, .ui-category-selector-list { font-family:monospace; }
-li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover { background-color:#606060; color:#f0f0f0; }
 .ui-category-selector-selected-item { background-color:#303030; color:#f0f0f0; }
 
@@ -39,4 +40,25 @@
 li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
 
+
+.ui-tag-selector-list, .ui-tag-selector-input { font-family:monospace; }
+.ui-tag-selector-text {
+  font-style:italic;
+  font-size:80%;
+  border-top:1px dotted #101010;
+  background:#F0F0F0;
+  color:#333333;
+}
+.ui-tag-selector-selected-tag-list li.ui-tag-selector-selected-tag {
+  background:#0088EE;
+  color:#F0F0F0;
+  margin-top:0px;
+  padding-bottom:1px;
+  padding-top:1px;
+}
+.ui-tag-selector-highlight {
+  color:#0088EE;
+  font-weight:bold;
+  background:#DEDEDE;
+}
 
 .ui-dialog {
@@ -55,4 +77,14 @@
 }
 
+.iconEdit { background:url(./../icon/edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(./../icon/delete.png) no-repeat 0 0 transparent; }
+.iconMove { background:url(./../icon/asearchengine/move.png) no-repeat 0 0 transparent; }
+.iconMove:hover { background:url(./../icon/asearchengine/move_h.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition  { background:url(./../icon/asearchengine/switch.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition:hover { background:url(./../icon/asearchengine/switch_h.png) no-repeat 0 0 transparent; }
+.cbItemMultiple { border:1px solid #606060; }
+.cbItemOverGroup { border:1px dotted #606060; }
+.itemContent { border-left:22px solid #303030; min-height:34px; padding:3px; }
+.cbItem { padding:0px; }
 
 fieldset { margin:3px 18px; }