Index: /extensions/Random_Header/admin/rh_admin.php
===================================================================
--- /extensions/Random_Header/admin/rh_admin.php	(revision 7411)
+++ /extensions/Random_Header/admin/rh_admin.php	(revision 7412)
@@ -32,4 +32,5 @@
 		$me->rh_config[$pwg_templateID]['img_css'] 				= $_POST[$pwg_templateID.'img_css']; 
 		$me->rh_config[$pwg_templateID]['mode_background'] 		= (isset( $_POST[$pwg_templateID.'mode_background'] )) ? $_POST[$pwg_templateID.'mode_background'] : 'off' ;
+		$me->rh_config[$pwg_templateID]['root_link'] 			= (isset( $_POST[$pwg_templateID.'root_link'] )) ? $_POST[$pwg_templateID.'root_link'] : 'off' ;
 		$me->save_config();
 		
@@ -46,4 +47,5 @@
 				'CONCAT_BEFORE' 	=> ($me->rh_config[$pwg_templateID]['concat_before']=='on') ? 'checked' : '',
 				'CONCAT_AFTER' 		=> ($me->rh_config[$pwg_templateID]['concat_after']=='on') ? 'checked' : '',
+				'ROOT_LINK' 		=> ($me->rh_config[$pwg_templateID]['root_link']=='on') ? 'checked' : '',
 				'HEAD_CSS' 			=>  $me->rh_config[$pwg_templateID]['head_css'],
 				'IMG_CSS' 			=>  $me->rh_config[$pwg_templateID]['img_css'],
Index: /extensions/Random_Header/admin/rh_theme_conf.tpl
===================================================================
--- /extensions/Random_Header/admin/rh_theme_conf.tpl	(revision 7411)
+++ /extensions/Random_Header/admin/rh_theme_conf.tpl	(revision 7412)
@@ -39,5 +39,6 @@
 		<i>#theHeader :</i><br>
 		<input class="rh_input" type="text" name="{$i.CURRENT_THEME_ID}head_css" value="{$i.HEAD_CSS}"><br>
-		<i>#RandomImage : {'rh_inactif_on_bg'|@translate}</i><br><input class="rh_input"  type="text" name="{$i.CURRENT_THEME_ID}img_css" value="{$i.IMG_CSS}"><br>
+		<i>#RandomImage : {'rh_inactif_on_bg'|@translate}</i><br>
+		<input class="rh_input"  type="text" name="{$i.CURRENT_THEME_ID}img_css" value="{$i.IMG_CSS}">
 		</p>
 		
@@ -45,4 +46,9 @@
 		<label>{'rh_concat'|@translate} :</label>
 		<input type="checkbox" {$i.CONCAT_BEFORE} name="{$i.CURRENT_THEME_ID}concat_before"> {'rh_before'|@translate} &nbsp; <input type="checkbox" {$i.CONCAT_AFTER} name="{$i.CURRENT_THEME_ID}concat_after"> {'rh_after'|@translate}
+		</p>
+		
+		<p>
+		<input type="checkbox" {$i.ROOT_LINK} name="{$i.CURRENT_THEME_ID}root_link">
+		<label>{'rh_root_link'|@translate}</label>
 		</p>
 		
Index: /extensions/Random_Header/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 7411)
+++ /extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 7412)
@@ -37,3 +37,4 @@
 $lang['rh_active_conf']			= 'Themes configured for Random Header';
 $lang['rh_inactive_conf']		= 'Themes not configured for Random Header';
+$lang['rh_root_link']			= 'Link to home on image';
 ?>
Index: /extensions/Random_Header/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 7411)
+++ /extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 7412)
@@ -37,3 +37,4 @@
 $lang['rh_active_conf']			= 'Thèmes configurés pour Random Header';
 $lang['rh_inactive_conf']		= 'Thèmes non configurés pour Random Header';
+$lang['rh_root_link']			= 'Hyperlien vers l\'accueil sur l\'image';
 ?>
Index: /extensions/Random_Header/main.inc.php
===================================================================
--- /extensions/Random_Header/main.inc.php	(revision 7411)
+++ /extensions/Random_Header/main.inc.php	(revision 7412)
@@ -32,4 +32,5 @@
 				$this->rh_config[$pwg_templateID]['concat_before'] ='off' ;
 				$this->rh_config[$pwg_templateID]['concat_after'] ='off' ;
+				$this->rh_config[$pwg_templateID]['root_link'] ='off' ;
 
             	$this->save_config();
@@ -80,5 +81,7 @@
 						$template->append('head_elements','<style>#theHeader{'. $this->rh_config[$usertheme]['head_css'] .'}#theHeader #RandomImage{'. $this->rh_config[$usertheme]['img_css'] .'}</style>');
 					$page['page_banner'] = ($this->rh_config[$usertheme]['concat_before']=='on') ? $conf['page_banner'] : '';
+					$page['page_banner'].= ($this->rh_config[$usertheme]['root_link']=='on') ? '<a href="'.PHPWG_ROOT_PATH.'" title="'.l10n('Home').'">'	: '';
 					$page['page_banner'].= '<img id="RandomImage" src="'.$toto[0].'">';
+					$page['page_banner'].= ($this->rh_config[$usertheme]['root_link']=='on') ? '</a>'	: '';
 					$page['page_banner'].= ($this->rh_config[$usertheme]['concat_after']=='on') ? $conf['page_banner'] : '';
 				}