Index: /extensions/GrumPluginClasses/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/GrumPluginClasses/language/it_IT/plugin.lang.php	(revision 7417)
+++ /extensions/GrumPluginClasses/language/it_IT/plugin.lang.php	(revision 7418)
@@ -1,3 +1,4 @@
 <?php
+
 $lang['Module'] = 'Modulo';
 $lang['Version'] = 'Versione';
@@ -8,10 +9,9 @@
 $lang['Installed'] = 'Installato il';
 $lang['Infos'] = 'Informazioni';
-$lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Alcuni plug-in dipendono da Grum Plugin Classes. Prima di disinstallare Grum Plugin Classes, si devono disinstallare i plug-in dipendenti da questo';
-
+$lang['Some plugins are dependent on Grum Plugin Classes: before uninstall, you must first uninstall the plugins dependent'] = 'Alcuni plugin dipendono da Grum Plugin Classes. Prima di disinstallare Grum Plugin Classes, dovete disinstallare i plugin dipendenti';
 
 // gpc > 3.3.0
 $lang['Public'] = 'Pubblico';
-$lang['Private'] = 'Privato';
+$lang['Private'] = 'Privata';
 $lang['All the gallery'] = 'Tutta la galleria';
 
Index: /extensions/GrumPluginClasses/language/it_IT/rbuilder.lang.php
===================================================================
--- /extensions/GrumPluginClasses/language/it_IT/rbuilder.lang.php	(revision 7417)
+++ /extensions/GrumPluginClasses/language/it_IT/rbuilder.lang.php	(revision 7418)
@@ -1,29 +1,27 @@
 <?php
 
-$lang['gpc_rb_search_criterion']='Cercare I criteri';
+$lang['gpc_rb_search_criterion']='Criteri di ricerca';
 $lang['gpc_rb_do_modify_request']='Modificare la ricerca';
 $lang['gpc_rb_result_query']='Risultati della ricerca';
 $lang['gpc_rb_number_of_item_found']='Numero d\immagini trovate';
-$lang['gpc_rb_add_criterions']='Criterio';
+$lang['gpc_rb_add_criterions']='Criteri';
 $lang['gpc_rb_clear_criterions']='Ripristinare i criteri';
-$lang['gpc_rb_search']='Ricerca';
-$lang['gpc_rb_textAND']='Tutti I criteri devono essere verificati';
+$lang['gpc_rb_search']='Ricercare';
+$lang['gpc_rb_textAND']='Tutti i criteri devono essere verificati';
 $lang['gpc_rb_textOR']='Almeno un criterio deve essere verificato';
 
-$lang['gpc_manage_caddie'] = 'Gestione del caddie';
-$lang['gpc_add_caddie'] = 'Il risultato della ricerca è stato aggiunto al caddie';
-$lang['gpc_replace_caddie'] = 'Il risultato della ricerca ha sostituito il caddie';
-$lang['gpc_the_caddie_is_updated'] = 'Il caddie è stato attualizzato';
-$lang['gpc_something_is_wrong_on_the_server_side'] = 'Si è verificato un errore da parte del server';
+$lang['gpc_manage_caddie'] = 'Gestione del cestino';
+$lang['gpc_add_caddie'] = 'Il risultato della ricerca è stato aggiunto al cestino';
+$lang['gpc_replace_caddie'] = 'Il risultato della ricerca a sostituito gli elementi presenti nel cestino';
+$lang['gpc_the_caddie_is_updated'] = 'Il cestino è stato attualizzato';
+$lang['gpc_something_is_wrong_on_the_server_side'] = 'Si è verificato un errore durante la conessione al server';
 
 // GPC 3.3.2
-$lang['There is no criteria ! At least, one criteria is required to do search...']=" Non vi è alcun criterio! Almeno uno dei criteri è necessario per iniziare la ricerca ...";
+$lang['There is no criteria ! At least, one criteria is required to do search...']='Non vi è alcun criterio! Almeno uno dei criteri è necessario per iniziare la ricerca ...';
 
-// need to be translated ! thanks :-)
-$lang['gpc_help_edit_criteria']="Modificare dei criteri";
-$lang['gpc_help_delete_criteria']=" Eliminare i criteri";
-$lang['gpc_help_move_criteria']="Drag'n'drop per organizzare le condizioni di ricerca";
-$lang['gpc_help_switch_condition']="Invertire le condizioni (E &hArr; OPPURE)";
-
+$lang['gpc_help_edit_criteria']='Modificare il criterio';
+$lang['gpc_help_delete_criteria']='Cancellare il criterio';
+$lang['gpc_help_move_criteria']='Drag\'n\'drop per organizzare le condizioni di ricerca';
+$lang['gpc_help_switch_condition']='Invertire la natura delle condizioni (E &hArr; O)';
 
 ?>