Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_pl.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_pl.properties	(revision 7422)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_pl.properties	(revision 7422)
@@ -0,0 +1,113 @@
+#####################################################
+#################### General ########################
+#####################################################
+error=Blad
+welcomeMessage=Witamy w Jiwigo
+version=0.14
+commentaires=Komentarze
+loading=Wczytywanie...
+titleBrowser=Jiwigo :: Przegladrka plików
+cancel=Anuluj
+hits=hits
+loadingOk=Wczytywanie ok
+info=Info
+
+#####################################################
+################### Main Frame ######################
+#####################################################
+mainFrame_editionMenu=Edycja
+mainFrame_preferencesMenu=Preferencje
+mainFrame_resizing=Zmiana rozmiaru dla
+mainFrame_addMetadata=Dodawanie metadanych dla
+mainFrame_sendingFiles=Wysylanie plików dla
+mainFrame_recherche=Szukaj...
+mainFrame_search=Wyszukiwanie dla
+
+#####################################################
+################## Preferences ######################
+#####################################################
+preferences_tabImage=Obrazy
+preferences_imagesSize=Rozmiar obrazów
+preferences_chunkSize=Rozmiar kawalków (Mb)
+
+#####################################################
+############### Thumbnail viewer ####################
+#####################################################
+thumbviewer_loading=Wczytywanie miniatur. Prosze czekac...
+thumbviewer_close=Zamknij
+thumbviewer_closeOthers=Zamknij inne
+thumbviewer_closeAll=Zamknij wszystkie
+thumbviewer_addTag=Dodaj tagi
+thumbviewer_selectTag=Wybierz tagi :
+
+#####################################################
+#################### Errors  ########################
+#####################################################
+sendingError=Blad wysylania
+categoryCreationError=Blad podczas tworzenia kategorii
+emptyCommentError=Nie mozna wyslac pustego komentarza
+addCommentError=Blad podczas dodawania komentarza
+treeCreationError=Blad podczas tworzenia drzewa kategorii
+commentListingError=Blad podczas pobierania komentarzy
+imagesListingError=Blad podczas pobierania obrazów
+configDefaultCreation=Blad tworzenia domyslnych plików konfiguracyjnych
+preferencesCheckValues=Prosze sprawdzic wartosci
+preferencesUnexpectedError=<html>Wystapil niespodziewany blad. Preferencje nie zostana zaktualizowane</html>
+clippingError=Obcinanie nie dziala z powiekszaniem
+listingTagsError=Blad podczas pobierania tagów
+addingTagsError=Blad podczas dodawania tagów
+alreadySendingError=Aplikacja jest juz w trakcie wysylania plików. Poczekaj zanim zaczniesz wysylas kolejne.
+
+#####################################################
+#################### Success ########################
+#####################################################
+sendingSuccess=Wysylanie udane
+
+#####################################################
+#################### Categories######################
+#####################################################
+categories_add=Dodaj kategorie
+categories_update=Odswiez
+categories_enterName=Wypelnij nazwe kategorii
+
+
+#####################################################
+############### Connection dialog ###################
+#####################################################
+connexionDialog_urlSite=Adres url strony
+connexionDialog_login=Nazwa uzytkownika
+connexionDialog_pass=Haslo
+connexionDialog_emptyField=Musisz wypelnic wszystkie pola
+connexionDialog_connexionError=
+Blad
+Sprawdz pola
+(Adres url musi zawierac "http://")
+
+connexionDialog_sauvegarder=<html><center>Zapisz informacje.<br/> <u>Uwaga</u> Te informacje <br/>nie beda zaszyfrowane</center></html>
+
+#####################################################
+################ Images browser #####################
+#####################################################
+imageBrowser_file=Plik
+imageBrowser_display=Wyswietlanie
+imageBrowser_image=Obraz
+imageBrowser_save=Zapisz jako
+imageBrowser_print=Drukuj
+imageBrowser_close=Zamknij
+imageBrowser_zoomPlus=Powiekszenie +
+imageBrowser_zoomMoins=Pomniejszenie -
+imageBrowser_zoomNormal=Rozmiar oryginalny
+imageBrowser_flipV=Odwrócenie w poziomie
+imageBrowser_rotationL=Obróc w lewo
+imageBrowser_rotationR=Obróc w prawo
+
+#####################################################
+################ Dialog privacy #####################
+#####################################################
+dialogPrivacy_remember=Zapamietaj mój wybór
+dialogPrivacy_choosePrivacy=Wybierz poziom prywatnosci
+dialogPrivacy_none=Wszyscy
+dialogPrivacy_contacts=Kontakty
+dialogPrivacy_friends=Przyjaciele
+dialogPrivacy_family=Rodzina
+dialogPrivacy_admin=Administrator