Index: extensions/netinstall/trunk/language/ru_RU/iso.txt
===================================================================
--- extensions/netinstall/trunk/language/ru_RU/iso.txt	(revision 7427)
+++ extensions/netinstall/trunk/language/ru_RU/iso.txt	(revision 7427)
@@ -0,0 +1,1 @@
+Русский [RU]
Index: extensions/netinstall/trunk/language/ru_RU/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 7427)
+++ extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 7427)
@@ -0,0 +1,61 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'добро пожаловать в NetInstall!';
+$lang['Language'] = 'Язык';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'С помощью этого инструмента Вы получите архив последней версии Piwigo и распакованным установите на сервер.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Сразу после этого вы будете перенаправлены на страницу мастера установки Piwigo.';
+
+$lang['Write access is needed'] = 'Необходим доступ для записи';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Похоже, что NetInstall не смог записать в текущую директорию, следуйте дальнейшим инструкциям.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Пожалуйста, попробуйте изменить права на запись и перегрузите страницу с помощью кнопки Обновить';
+$lang['Refresh'] = 'Обновить';
+
+$lang['PHP 5 is required'] = 'требуется PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Похоже, что тарифный плван Вашего хостинга использует версию PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall может попытаться переконфигурировать к версии PHP 5 с помощью создания или модификации файла .htaccess.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Отметьте, что Вы можете изменить конфигурацию самостоятельно и перезапустите после этого NetInstall.';
+$lang['Try to configure PHP 5'] = 'Попытка переконфигурировать к  PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Получить и распаковать Piwigo';
+$lang['Destination:'] = 'Папка назначения:';
+
+$lang['Sorry!'] = 'Ох, увы!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall не смог переконфигурировать PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Вы можете обратиться к тех. поддержке хостера и узнать, как переключиться на PHP 5 самостоятельно.";
+$lang['Hope to see you back soon.'] = 'Надеемся увидеть Вас снова.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Похоже, предыдущая версия Piwigo всё ещё находится в этом же месте.';
+$lang['You need to rename or remove it before we can go further...'] = 'Прежде чем идти дальше, Вы должны переименовать или удалить это...';
+$lang['Needed files are not present.'] = 'нужные файлы не существуют.';
+$lang['Invalid zip file.'] = 'Поврежденный zip файл.';
+$lang['It seems that the zip file was not extracted.'] = 'Похоже, что zip файл не был распакован.';
+
+$lang['Congratulations!'] = 'Поздравляем!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Все прошло хорошо. Вы готовы начинать процедуру инсталляции.';
+$lang['Install Piwigo now'] = 'Установить Piwigo сейчас';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'При попытке продолжить произошла ошибка захвата необходимых файлов.';
+$lang['Something went wrong...'] = 'Что-то пошло не так ...';
+$lang['What are you doing here that way ?!'] = 'Что Вы здесь делаете?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Этот загрузчик был разработан на основе <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Спасибо!';