Index: extensions/gvideo/language/cs_CZ/description.txt
===================================================================
--- extensions/gvideo/language/cs_CZ/description.txt	(revision 7428)
+++ extensions/gvideo/language/cs_CZ/description.txt	(revision 7428)
@@ -0,0 +1,1 @@
+Umožňuje vložení video souborů z Youtube, Google Video, Dailymotion, Wideo, Vimeo nebo Wat.
Index: extensions/gvideo/language/cs_CZ/index.php
===================================================================
--- extensions/gvideo/language/cs_CZ/index.php	(revision 7428)
+++ extensions/gvideo/language/cs_CZ/index.php	(revision 7428)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/gvideo/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/gvideo/language/cs_CZ/plugin.lang.php	(revision 7428)
+++ extensions/gvideo/language/cs_CZ/plugin.lang.php	(revision 7428)
@@ -0,0 +1,46 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Konfigurace';
+$lang['py_addvideo'] = 'Vložit video';
+$lang['py_filename'] = 'Název souboru';
+$lang['py_url'] = 'URL adresa videa';
+$lang['py_parent'] = 'Hlavní kategorie';
+$lang['py_thumb'] = 'Náhled';
+$lang['py_no_thumb'] = 'Bez náhledu';
+$lang['py_thumb_from_server'] = 'Upload náhledu ze serveru';
+$lang['py_thumb_from_user'] = 'Upload vlastního náhledu:';
+$lang['py_add_band'] = 'Vložit pásy po stranách náhledu';
+$lang['py_thumb_resize'] = 'Změna velikosti náhledu';
+$lang['py_width'] = 'Šířka';
+$lang['py_height'] = 'Výška';
+$lang['py_start'] = 'Začátek videa';
+$lang['py_*'] = 'Povinné položky';
+$lang['py_autostart'] = 'Autostart';
+$lang['py_quality'] = 'Kvalita';
+$lang['py_playermode'] = 'Mód přehrávače';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Sem vložte odkaz na stránku videa.<br>Můžete použít GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo nebo Wat. Příklady:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Zvolte čas začátku videa v sekundách.<br>Lze použít POUZE na GoogleVideo.";
+$lang['pybulle_categorie'] = "Kategorie kde bude soubor vytvořen: pouze reálné kategorie jsou v seznamu. Pokud chcete odkazovat do virtuální kategorie, odkazujte až po vytvoření.";
+$lang['pybulle_miniature'] = "Můžete získat náhled zpět na server. Defaultně, rozměry náhledů jsou 320x240 Google Video, Dailymotion, 130x97 Youtube, 154x114 Wideo a 200x150px Vimeo.<br><br> Nebo nahrajte vlastní náhled.<br><br> V obou případech můžete změnit rozměry náhledu.";
+
+// Informační zprávy nebo chyby
+$lang['py_error1'] = 'Žádná místní stránka! Není možné vytvořit video soubor.';
+$lang['py_error2'] = 'Nelze ukládat. Nevyplnili jste správně formulář';
+$lang['py_error3'] = 'Vyplňte povinné položky označené *';
+$lang['py_error5'] = 'špatná URL!';
+$lang['py_error6'] = 'soubor "%s" už existuje.';
+$lang['py_error7'] = 'Není možné zapsat soubor "%s"';
+$lang['py_error8'] = 'zkontrolujte jestli složka %s má správně(chmod).';
+$lang['py_error9'] = 'Chyba při nahrávání nebo změně rozměrů náhledu.';
+$lang['py_error11'] = 'Náhled se stejnám názvem již exituje (%s)';
+$lang['py_error12'] = 'pole náhledu nebylo vyplněno : náhled nebyl uploadován.';
+$lang['py_info2'] = 'náhled byl uploadován';
+$lang['py_info3'] = 'Video bylo přidáno';
+$lang['py_info4'] = 'Konfigurace uložena.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Zobraz video</a>.';
+
+?>