Index: /extensions/PWG_Stuffs/language/pl_PL/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/pl_PL/index.php	(revision 7431)
+++ /extensions/PWG_Stuffs/language/pl_PL/index.php	(revision 7431)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/pl_PL/plugin.lang.php	(revision 7431)
+++ /extensions/PWG_Stuffs/language/pl_PL/plugin.lang.php	(revision 7431)
@@ -0,0 +1,164 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Zarządzanie modułami';
+$lang['stuffs_add_mod'] = 'Dodaj moduł';
+$lang['stuffs_edit_mod'] = 'Edytuj moduł';
+
+$lang['stuffs_module_title'] = 'Nazwa modułu';
+$lang['stuffs_desc'] = 'Opis';
+$lang['stuffs_only_for_admin'] = '(tylko dla panelu administracyjnego)';
+$lang['stuffs_type'] = 'Typ modułu';
+$lang['stuffs_position'] = 'Pozycja';
+$lang['stuffs_id_ligne'] = 'ID linii';
+$lang['stuffs_width'] = 'Szerokość';
+$lang['stuffs_action'] = 'Akcje';
+$lang['stuffs_edit'] = 'Modyfikuj moduł';
+$lang['stuffs_delete'] = 'Kasuj moduł';
+$lang['stuffs_confirm_delete'] = 'Czy na pewno chcesz usunąć moduł %s?';
+$lang['stuffs_main_block'] = 'Główny blok';
+
+$lang['stuffs_add_module'] = 'Dodaj nowy moduł';
+$lang['stuffs_module_config'] = 'Konfiguracja modułu';
+$lang['stuffs_visual_config'] = 'Wyświetl konfigurację';
+$lang['stuffs_module_options'] = 'Opcje modułu';
+$lang['stuffs_authorized_group'] = 'Autoryzowane grupy';
+$lang['stuffs_authorized_users'] = 'Autoryzowani użytkownicy';
+$lang['stuffs_public_module'] = '(Zostaw puste aby moduł był publiczny)';
+$lang['stuffs_show_title'] = 'Pokaż nazwę modułu';
+$lang['stuffs_show_module_on'] = 'Pokaż moduł :';
+$lang['stuffs_show_on_home'] = 'Na głównej stronie';
+$lang['stuffs_show_on_cats'] = 'Na stronach ze wszystkimi kategoriami';
+$lang['stuffs_show_on_pictures'] = 'Na stronach z obrazami';
+$lang['stuffs_no_options'] = 'Nie ma opcji dla tego modułu';
+/*translate*/$lang['Hide on home page'] = 'Hide on home page';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Kolejność została zapisana.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Nie został wybrany żaden moduł.';
+$lang['stuffs_no_name'] = 'Musisz podać nazwę modułu';
+
+//------------------------------------------------------------------------------
+//                            Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Najnowsze komentarze';
+$lang['module_desc_lastcoms'] = 'Wyświetl najnowsze komentarze';
+
+$lang['lastcoms_no_nb_comments'] = 'Musisz wprowadzić liczbę komentarzy.';
+$lang['lastcoms_config'] = 'Konfiguracja';
+$lang['lastcoms_nb_comments'] = 'Ilość komentarzy do wyświetlenia';
+$lang['lastcoms_show_buttons'] = 'Pokaż opcje administracyjne';
+$lang['lastcoms_dim'] = 'Wielkość miniaturek';
+$lang['lastcoms_width'] = 'Max szerokość';
+$lang['lastcoms_height'] = 'Maksymalna wysokość';
+$lang['lastcoms_nb_cadres'] = 'Ilość ramek przez linię'; //* to fix *//
+$lang['lastcoms_taille_cadres'] = 'Wysokość ramki';
+
+
+//------------------------------------------------------------------------------
+//                            Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Login';
+$lang['module_desc_logon'] = 'Wyświetl blok logowania';
+
+$lang['logon_remove_menubar_block'] = 'Usuń blok "Szybkie połączenie" z menu';
+
+
+//------------------------------------------------------------------------------
+//                            Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Osobisty blok';
+$lang['module_desc_personal'] = 'Wyświetl osobisty blok (like an edito)'; //* to fix *//
+
+$lang['personal_content'] = 'zawartość';
+
+
+//------------------------------------------------------------------------------
+//                            Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Tagi';
+$lang['module_desc_tags'] = 'Wyświetl tagi galerii';
+
+$lang['stuffs_tags_default_display'] = 'Wyświetlanie tagów'; //* to fix *//
+$lang['stuffs_tags_cloud'] = 'Chmura tagów';
+$lang['stuffs_tags_letters'] = 'Grupuj literami';
+$lang['stuffs_tags_cumulus'] = 'Użyj trybu cumulus (dodatek <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> musi być zainstalowany)';
+
+
+//------------------------------------------------------------------------------
+//                            Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Wyświetl piclens 3D wall (dodatek <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> musi być zainstalowany)';
+
+$lang['piclenswall_height'] = 'Wysokość muru';
+$lang['piclenswall_background_color'] = 'Kolor tła';
+$lang['piclenswall_black'] = 'Czarny';
+$lang['piclenswall_white'] = 'Biały';
+$lang['piclenswall_info'] = 'Ściana działa prawidłowo';
+$lang['piclenswall_info_piclens'] = 'Musisz zainstalować i uruchomić dodatek <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> .';
+$lang['piclenswall_info_crossdomain'] = 'Musisz skopiować plik <a href="%s">crossdomain.xml</a> do głównego katalogu Twojej strony (lub zmodyfikować istniejący plik).';
+$lang['piclenswall_info_param'] = 'Ustawienia 3D Wall muszą być zmodyfikowane na stronie konfiguracyjnej <b>Cooliris-piclens/b>.';
+
+//------------------------------------------------------------------------------
+//                            Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Najczęsciej odwiedzane';
+$lang['module_desc_mostvisited'] = 'Wyświetl x najczęściej odwiedzanych obrazów w galerii lub kategorii';
+
+$lang['stuffs_mv_nb_images'] = 'Maksymalna ilość obrazów do wyświetlenia';
+$lang['stuffs_mv_category_display'] = 'Wyświetl na stronach kategorii';
+$lang['stuffs_mv_all_cats'] = 'Wszystkie kategorie';
+$lang['stuffs_mv_w_thumb'] = 'Tylko kategorie z miniaturkami';
+$lang['stuffs_mv_wo_thumb'] = 'Tylko kategorie bez miniaturkami';
+$lang['stuffs_mv_selected_cats'] = 'Tylko wybrane kategorie';
+
+$lang['stuffs_mv_cat_selection'] = 'Wybór kategorii';
+$lang['stuffs_mv_hold_ctrl'] = 'przytrzymaj CTRL';
+
+//------------------------------------------------------------------------------
+//                            Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Najwyżej oceniane';
+$lang['module_desc_bestrated'] = 'Wyświetl x najwyżej ocenianych obrazów w galerii lub kategorii';
+
+//------------------------------------------------------------------------------
+//                            Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Najnowsze obrazy';
+$lang['module_desc_recent'] = 'Wyświetl x najnowszych obrazów w galerii lub w kategorii (jeśli istnieje)';
+
+//------------------------------------------------------------------------------
+//                            Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Losowy obrazek';
+$lang['module_desc_random'] = 'Wyświetl x losowych obrazów w galerii lub kategorii';
+
+//------------------------------------------------------------------------------
+//                            Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Losowy cytat';
+$lang['module_desc_citation'] = 'Wyświetl losowy cytat';
+$lang['module_Citation_lang'] = 'Język';
+$lang['module_Citation_code'] = 'Powiązany kod'; //* to fix *//
+
+//------------------------------------------------------------------------------
+//                            Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Doskonałe obrazy'; //* to fix *//
+$lang['module_desc_featuredphotos'] = 'Wyświetl ulubione obrazki administratora strony';
+
+?>